# CVE MCP Server

A Model Context Protocol server providing CVE vulnerability information query capabilities. This server enables LLMs to query detailed information for specific CVE IDs, retrieving data from MITRE's CVE database.

### Available Tools

- `query_cve` - Query vulnerability information by CVE ID
  - Required parameters:
    - `cve_id` (string): The CVE identifier (e.g., 'CVE-2021-44228', 'CVE-2023-34362')

## Configuration

```json
{
  "mcpServers": {
    "CVE": {
      "command": "uv",
      "args": [
        "--directory",
        "/yourpath/cve-mcp-server",
        "run",
        "cve-mcp-server"
      ]
    },
  }
}
```

## Debugging

You can use the MCP inspector to debug the server:

```bash
npx @modelcontextprotocol/inspector python -m cve-mcp-server
```

## License

cve-mcp-server is licensed under the MIT License. This means you are free to use, modify, and distribute the software, subject to the terms and conditions of the MIT License. For more details, please see the LICENSE file in the project repository.